Hnet Info Download 1.1

Appliaction overview
Using Hnet Info Download
How does Hnet Info Download work?


Welcome to the Hnet Info Download help!

Hnet Info Download is designed for offline browsing of web pages, mirroring the website and downloading the files from the Internet. Hnet Info Download is a fully automated tool, which downloads all kinds of files from any address in the Internet. It can completely download a website so that it allows you offline browsing, which is much quicker than when downloading the pages from the network. It creates a precise copy or mirror of a website with the same directory structure and all demanded files. It searches references according to entered keywords and downloads only pages of a desired type.

Hnet Info Download is a cool tool, which finishes with long waiting for web pages to load. It automatically creates mirrors of the website and downloads the files according to the planned scenario.

Using Hnet Info Download

 Tutorial overview


Using Hnet Info Download

When using Hnet Info Download, you create projects that contain one or more starting addresses for downloading files from the Internet.

Furthermore, you specify limits of the references, which should be followed and you can send the robot to the voyage in the Internet by choosing the command Start from the menu or by pressing the button Start on the toolbar.

The robot reads the starting address you have entered and downloads the files it finds there. Then it detects all references on each downloaded page and if they meet the requirements you entered, it will download all files on these new addresses. It will repeat this procedure until all suitable files are downloaded.

Hnet Info Download can download only selected types of files, i.e. only textual or with graphics and sounds included. Furthermore, it is possible to limit the following of references by following only those, which (do not) contain specific keyword, or by ordering the robot to stay on the domain in the starting address, or not to explore more than up to the specified number of references.

Hnet Info Download makes possible to easy set up the project using the New project wizard, which contains the templates for the most often used tasks.

How does Hnet Info Download work?

Tutorial overview


How does Hnet Info Download work?

Hnet Info download analyzes each downloaded page and searchs for all references to another pages or files. Obtained references are sorted according to the set parameters, and the program downloads all files that meet these requirements. Every downloaded file is saved to the project folder, which has the same name as the project.

References to remaining pages Hnet Info Download checks for set references depth limit from the starting address (exploration depth) and if they meet the set keywords. If true, page is downloaded and processed in the same way as the starting page.
If the project contains several starting addresses, Hnet Info Download will repeat this procedure for each of them.

During the progress of Hent Info Download site exploration, found pages are being inserted to the hierarchical project structure, which is displayed in the left application window (called Project map).
You can select any of the files in the project map if you click on it, and you will see files contained in the page in the right pane (Files list)

Tutorial overview


Tutorial overview
 New project
Saving project
Running project
Viewing results


Tutorial overview

In this tutorial, we will teach you the basics of using Hnet Info Download.
There are four basic steps to create and run a new project.

  1. Creating new project
  2. Saving project
  3. Running project
  4. Viewing results


New Project

To create a new project, choose command New project wizard or press button New project wizard on the toolbar. (If you are advanced user, you may also begin with the button New project, but you will have to set the project's properties manually). The new project wizard will ask you for some information to detect your intentions and according to them, a new project will be created.

Page 1: There are three templates for the most often used tasks.

Choose "Create copy on my harddisk" for this tutorial.

Page 2: Wizard requests the starting address. This is a path, where Hnet Info Download starts exploring the site, up to the depth you enter to the field bellow the starting address.

For this tutorial, choose: www.hnetinfo.com

Page 3: Here you can choose which pages should be downloaded and you can also enter here some additional information for this project.

For this tutorial, choose "all"

Page 4: Press the button "Finish" and you will be prompted to enter the project name, used on the disk.

Saving project


Saving project

If you have been using the Wizard, a Save as dialog is displayed now. If not, you have to select the item Save project as from menu File. Hnet Info Download will display the Save as dialog then.
Enter the name of your project to the field Filename. You can change the active folder to save the project to the folder you want to use.

For this tutorial, type in Hnet Info and press the button Save.

Notice: Hnet Info Download creates a subfolder named according to your project, where it will save all downloaded files.

Running project


Running the project

To run the project, choose Start from the menu Project or press the Start button on the toolbar.
Hnet Info Download will connect to the starting address and begin downloading pages. You can find details on how Hnet Info Download works here.

As the robot is working, statistics is being displayed in the status line. Now, you can let the program work and wait for the results.

After the project is finished, as well as during downloading, you can View the results


Viewing results

Left pane contains a Project map, where is the hierarchy of explored pages shown. For each page, you can view on the right pane all files, which are included in the page. You can view files as listing or with file details included. Use the commands in the menu View to switch between display modes.

Downloaded files are saved in the project directory, which was created at the first project run and which holds the same name as the project. This directory is usually located in the same folder as the project file.

There are context menus for both files in the right pane and pages in the left pane available. You can view them if you click the right mouse button. Here you can open the downloaded file, rename it, reload it, etc.

And in the end the best - now you can view the downloaded files offline, directly from you harddisk, which is, as you will make sure soon, much quicker. You can start browsing the pages directly from Hnet Info Download - click the right mouse button to some page in the Project map and choose Open.

You have finished this tutorial. Now you have enough knowledge to create and run you own projects. You can find further information here.


Project's properties - page Summary
 Project's properties - page Downloading/Exploring
 Project's properties - page Viewing/Mirroring
 Project's properties - page Restrictions
 Project's properties - page Extensions/Netiquette


Project's properties - page Summary

Page summary offers you summary information about your project: When was the project run for the last time, how many files were downloaded and how many pages were read, number of project's starting addresses, total downloaded bytes and project's database size.

Further, you can delete project's database. Before deleting, you are prompted if you wish to delete downloaded files as well. Take care when using this button, project will be returned to original state and you will loose all downloaded files together with information about their references.


Project's properties - page Downloading/Exploring

Downloading modes
Select one of the options that meets your requirements of the downloaded data.
"Download text only" is the fastest mode if you are interested only in textual content of the pages.
"Download text and graphics" downloads in addition to previous option graphics too, so you can see images on downloaded pages.
"Download text, graphics and sounds" use this mode i.e. for downloading mp3 files.
"Download all files" all found files will be downloaded regardless their type.

Threads
You can set here number of simultaneous threads used by Hnet Info Download for its work. Unless you do not understand operating system's processes, we recommend keeping preset values (3 for scanning and 7 for downloading).

Last option on this page concerns adherence to the Robot Exclusion Standard, which will restrict the Hnet Info Download robot only to those parts of the remote server, which were marked as accessible by the remote server's administrator. Otherwise, robot will download all data.


Project's properties - page Viewing/Mirroring

"Simulate directory structure of remote system"
Use this option, if you want to have an exact copy of the server. Hnet Info Download creates on your disk the same directory structure as the one used on the remote server.

"Create server map"
If you select this option, no files will be stored on your disk. Hnet Info Download will only create a server map and shows you a list of files stored on the server.

"Re-linking system"
Re-linking is an important process for offline viewing. All downloaded files are processed and all references in them are redirected to link to the files stored on your disk. We recommend to leave the option "localize references" checked.
Further, you can specify behavior of the Hnet Info Download if it locates a reference to a file that was not downloaded. You can choose between keeping the original reference and redirecting to explanation messages. Redirecting is more time consuming, so we recommend to keep the reference to the original file.

Button "Re-link all project's files" is used to immediate redirecting, but usually you do not need to use it, since project is automatically re-linked after having finished download.


Project's properites - page Restrictions

Hnet Info Download is able to restrict the downloaded files according to presence of keywords. There are two ways of restrictions:
1. Page address must not contain entered keywords.
You can switch on this control by checking the field "Allow" over the input field you entered the keywords.

2. Page address must contain entered keywords.
You can switch on this control by checking the field "Allow" over the input field you entered the keywords.

"Html extensions"
You can enter file extensions that should be analyzed as html files into this field. If you delete the original settings, you can block proper function of Hnet Info Download. In this case, use button "Default" to reset to the default settings.


Project's properties - page Extensions/Netiquette

Project automation
You can choose here, whether the project should be run immediately after opening, select maximum project running time, set repeated project run after specified period of time, and finally also the possibility to close Hnet Info Download after the project finishes.

Identity
Set identity of the robot that is used to explore www pages.